LibreOffice: PasswordContainer Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
List of all members
PasswordContainer Service Referencepublished

this service is kind of storage that allows to store passwords and to retrieve already stored. More...

Inheritance diagram for PasswordContainer:

## Additional Inherited Members
Exported Interfaces inherited from XPasswordContainer2
interface | com::sun::star::task::XPasswordContainer
| handles passwords
interface | com::sun::star::task::XMasterPasswordHandling2
| handles passwords
interface | com::sun::star::task::XUrlContainer
Public Member Functions inherited from XPasswordContainer
void | add ([in] string Url, [in] string UserName, [in] sequence< string > Passwords, [in] XInteractionHandler Handler)
| Save passwords into the container.
void | addPersistent ([in] string Url, [in] string UserName, [in] sequence< string > Passwords, [in] XInteractionHandler Handler)
| Save passwords into the container, and store them in the file.
UrlRecord | find ([in] string Url, [in] XInteractionHandler Handler)
| Find users with passwords for the url pattern.
UrlRecord | findForName ([in] string Url, [in] string UserName, [in] XInteractionHandler Handler)
| Find passwords for the url pattern and username.
void | remove ([in] string Url, [in] string UserName)
| Remove passwords for the url pattern and username.
void | removePersistent ([in] string Url, [in] string UserName)
| Remove passwords for the url pattern and username from the file.
void | removeAllPersistent ()
| Clean the file.
sequence< UrlRecord > | getAllPersistent ([in] XInteractionHandler Handler)
| Get all records from the file.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XMasterPasswordHandling2
boolean | useDefaultMasterPassword ([in] XInteractionHandler xHandler)
| allows to let the default password be used
boolean | isDefaultMasterPasswordUsed ()
| allows to detect whether the default master password is used
Public Member Functions inherited from XMasterPasswordHandling
boolean | authorizateWithMasterPassword ([in] XInteractionHandler xHandler)
| allows to check the user authorization.
boolean | changeMasterPassword ([in] XInteractionHandler xHandler)
| allows to change the master password.
void | removeMasterPassword ()
| let the master password and all the related stored passwords be removed.
boolean | hasMasterPassword ()
| allows to detect whether there is already a master password
boolean | allowPersistentStoring ([in] boolean bAllow)
| allows to specify whether persistent storing of passwords is allowed
boolean | isPersistentStoringAllowed ()
| allows to detect whether persistent storing of passwords is allowed
Public Member Functions inherited from XUrlContainer
void | addUrl ([in] string Url, [in] boolean MakePersistent)
| Add a URL to the container.
string | findUrl ([in] string Url)
| Lookup a URL in the container.
void | removeUrl ([in] string Url)
| Remove a URL from the container.
sequence< string > | getUrls ([in] boolean OnlyPersistent)
| Get all URLs.

## Detailed Description

this service is kind of storage that allows to store passwords and to retrieve already stored.

A password can be stored for the session period or persistently. The persistent way is only possible if configuration allows to use storage. It stores passwords encrypted with a super password. An interaction is used to ask a user for a super password. To allow such an interaction, an object that implements XInteractionHandler interface should be provided. For this purpose InteractionHandler service can be used.

In case no interaction handler is provided all passwords are stored for the session period. In case an interaction handler is provided, but the super password interaction does not return super password ( for any reason ), NoMasterException exception is thrown to let user use non-persistent way explicitly.

The documentation for this service was generated from the following file:

- com/sun/star/task/PasswordContainer.idl